*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

.page-title{
    padding-top: 50px;
}

.tarot-page{
    overflow-x:hidden;
}

.wrapper{
    width:100%;
    max-width:1400px;
    margin:auto;
    padding:40px 20px;
}

h1{
    text-align:center;
    margin-bottom:50px;
    color:#6e573e;
}

.intro-text{
    max-width:700px;
    margin:0 auto 25px;
    text-align:center;
    line-height:1.8;
    color:#555;
    font-size:18px;
}

.question-box{
    text-align:center;
    margin-bottom:60px;
    margin-top:30px;

}

.question-box input{
    width:100%;
    max-width:600px;
    padding:15px;
    border:1px solid #ccc;
    border-radius:12px;
    font-size:16px;
    outline:none;
}

.question-box input:focus{
    border-color:#5d7fa3;
    box-shadow:
    0 0 10px rgba(93,127,163,.3);

}
.question-result{
    grid-column:1 / -1;
    text-align:center;
    margin-bottom:40px;
}

.question-result h3{
    color:#97864a;
    margin-bottom:10px;
}

.question-result p{
    font-size:20px;
    font-style:italic;
}

.fan-container{
    position:relative;
    width:100%;
    height:600px;
}

.fan-card{
    position:absolute;
    width:120px;
    height:210px;
    border-radius:12px;
	background-color:#21444a;
    background-image:url(/cards/back.png);
    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;
    box-shadow:
    0 5px 15px rgba(0,0,0,.25);
    transform-origin:
    bottom center;
    transition:.3s;
    cursor:pointer;
}

.fan-card:hover{
    margin-top:-20px;
}

.fan-card.selected{
    margin-top:-50px !important;
    box-shadow:
        0 0 15px rgba(255,255,255,.8),
        0 0 35px rgba(0,180,255,.6);
}

.spread-container{
    display:none;
    width:100%;
    grid-template-columns:
    repeat(3,1fr);
    gap:30px;
    margin-top:40px;
}

.spread-card{
    opacity:1;
    animation:
    animation:fadeIn .2s ease forwards;
    text-align:center;
}

.spread-card h3{
    margin-top:15px;
}

.spread-card p{
    margin-top:10px;
    font-weight:400;
}

.spread-card img{
    width:220px;
    border-radius:12px;
    box-shadow:
    0 10px 20px rgba(0,0,0,.2);
}

.reversed-card{
    transform:rotate(180deg);
}

.restart-btn{
    display:none;
    margin:40px auto;
    padding:15px 40px;
    border:none;
    border-radius:12px;
    background:#97864a;
    color:white;
    font-size:18px;
    cursor:pointer;
    transition:.3s;
}

.restart-btn:hover{
    background:#b26b1e;
}

@keyframes fadeIn{
from{
    opacity:0;
    transform:translateY(30px);
}

to{
opacity:1;
transform:translateY(0);
    }
}

.spread-card h3{
    font-family:"Cormorant Garamond", serif;
    font-size:32px;
    margin-top:15px;
    margin-bottom:20px;
    color:#2d2d2d;
}

.spread-card h2{
    color:#97864a;
    font-size:28px;
    margin-bottom:20px;
}

.meaning{
    max-width:320px;
    margin:15px auto 0;
    line-height:1.7;
    font-size:17px;
}


@media (max-width:768px){

.page-title{
    padding-top: 20px;
}	

.spread-container{
    grid-template-columns:1fr;
    gap:20px;
}

.spread-card img{
    width:180px;
}

.spread-card h2{
    font-size:24px;
}

.spread-card h3{
    font-size:26px;
}

.meaning{
    max-width:90%;
    font-size:16px;
}

.restart-btn{
    width:90%;
}
.question-box{
    padding-left: 30px;
	padding-right: 30px;
	margin-bottom: 35px;
	padding-bottom: 50px; 
}

	
.intro-text{
	font-size: 1rem;
	margin-left: 1rem;
	margin-right: 1rem;
	
}

#questionInput{
font-size: 0.8rem;
}	
	
#fanContainer{
    transform: scale(0.40);
    transform-origin: top center;
    overflow: visible;
	height:250px;
}
 
 .restart-btn{
    width:auto;
    padding:12px 30px;
    font-size:16px;
}
	
.fan-card{
    width:90px;
    height:150px;
}
	
}

@media(max-width:900px){
nav{
    margin-left:auto;
}
}